
//      column test

#include color.vc

studio {
	from -5 -10 7
	at 1.5 0 1.5
	up 0 0 1
	angle 50
	res 640 480
	antialias adaptive
	threshold 4
	aspect 4/3
	background {
		greys.map
	}
	ambient white * .1
}

light {
	type point
	falloff 1
	position -5 -3 12
	color white*8
}
light {
	type point
	falloff 1
	position 1 -6 12
	color white*8
}

surf {
	spec white * .5
	fuzz 0.05
	no_antialias    // speed things up a bit
}
ring { center 0 0 0 normal 0 0 1 radius 1000 }
surf {
	texture {
		pattern spherical
		turbulence {
			terms 7
			amp 6
		}
		blend .8
		radius .5
		radius 2
		surf { diff 0 .1 .2     shine 20 white }
		surf { diff white * 0.8 shine 20 white }
	}
}

transform { scale 0.1 }

transform { rotate 0 0 35 }
#include column.vo
transform_pop

transform { rotate 90 0 0 translate 27 20 12 }
#include column.vo
transform_pop

transform_pop

